| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Attributes | List of all members
TWiMODLR_DevMgmt_SystemStatusLorawan Struct Reference

Basic information about system status of the WiMOD. More...

`#include <SAP/WiMOD_SAP_DEVMGMT_Lorawan_IDs.h>`

## Public Attributes
UINT8 | Status
UINT8 | SysTickResolution
UINT32 | SysTickCounter
UINT32 | RtcTime
UINT16 | NvmStatus
UINT16 | BatteryStatus
UINT16 | ExtraStatus
UINT32 | TxUDataPackets
UINT32 | TxCDataPackets
UINT32 | TxError
UINT32 | Rx1UDataPackets
UINT32 | Rx1CDataPackets
UINT32 | Rx1MicError
UINT32 | Rx2UDataPackets
UINT32 | Rx2CDataPackets
UINT32 | Rx2MicError
UINT32 | TxJoin
UINT32 | RxAccept

## Detailed Description

Basic information about system status of the WiMOD.

## Member Data Documentation

## ◆ BatteryStatus

UINT16 TWiMODLR_DevMgmt_SystemStatusLorawan::BatteryStatus

current voltage level of power supply in mV

## ◆ ExtraStatus

UINT16 TWiMODLR_DevMgmt_SystemStatusLorawan::ExtraStatus

extra status bits

## ◆ NvmStatus

UINT16 TWiMODLR_DevMgmt_SystemStatusLorawan::NvmStatus

Status of the internal NVM slots

## ◆ RtcTime

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::RtcTime

32bit encoded current RTC timestamp (

See also
  WIMOD_RTC_* macros)

## ◆ Rx1CDataPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::Rx1CDataPackets

number of reliable radio packets received in 1st window

## ◆ Rx1MicError

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::Rx1MicError

number of radio packets in 1st window with MIC error

## ◆ Rx1UDataPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::Rx1UDataPackets

number of unreliable radio packets received in 1st window

## ◆ Rx2CDataPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::Rx2CDataPackets

number of reliable radio packets received in 2nd window

## ◆ Rx2MicError

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::Rx2MicError

number of radio packets in 2nd window with MIC error

## ◆ Rx2UDataPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::Rx2UDataPackets

number of unreliable radio packets received in 2nd window

## ◆ RxAccept

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::RxAccept

number of join accept radio packets received

## ◆ Status

UINT8 TWiMODLR_DevMgmt_SystemStatusLorawan::Status

status flag; indicates if other values are vaild

## ◆ SysTickCounter

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::SysTickCounter

virtual systick counter value

## ◆ SysTickResolution

UINT8 TWiMODLR_DevMgmt_SystemStatusLorawan::SysTickResolution

systick interval time in ms

## ◆ TxCDataPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::TxCDataPackets

number of reliable radio packets transmitted

## ◆ TxError

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::TxError

number of packets not transmitted due to an error

## ◆ TxJoin

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::TxJoin

number of join request radio packets transmitted

## ◆ TxUDataPackets

UINT32 TWiMODLR_DevMgmt_SystemStatusLorawan::TxUDataPackets

number of unreliable radio packets transmitted

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_DEVMGMT_Lorawan_IDs.h